#!/bin/bash

source parameters.env

rm -rf build
mkdir build

eval "cat <<~
$(cat src/cmdline.txt)
~" > build/cmdline.txt

mkdir build/cloud-init

eval "cat <<~
$(cat src/user-data)
~" > build/cloud-init/user-data

cp src/meta-data build/cloud-init/
cp src/initial-setup.sh build/cloud-init/
cp src/install-torch.sh build/cloud-init/
cp src/torch-agent_0.0.4-1_all.deb build/cloud-init/

mkdir build/cloud-init/torch-config
cp -r $TORCH_CONFIG_DIR/* build/cloud-init/torch-config/

tar -C build -czvf build/rpi-cloud-init.tgz cmdline.txt cloud-init

rm -rf build/cloud-init
rm build/cmdline.txt